> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cald.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Campaign

> Get information about a specific campaign

<Note>This endpoint returns general information about the campaign. To get more detailed information about a campaign (e.g. all call IDs), use the [Get Campaign Details](/api-reference/endpoint/get-campaign-details) endpoint.</Note>


## OpenAPI

````yaml GET /campaigns/{campaignId}
openapi: 3.0.1
info:
  title: AI Phone Call Service API
  description: >-
    API for managing AI-based phone calls, including call initiation and result
    retrieval.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://my.cald.ai/client/api/v1
security:
  - apiKeyAuth: []
paths:
  /campaigns/{campaignId}:
    get:
      description: Get information about a specific campaign
      parameters:
        - name: campaignId
          in: path
          description: The campaign ID of the campaign
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Campaign information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Campaign'
        '404':
          description: Campaign not found
components:
  schemas:
    Campaign:
      type: object
      properties:
        campaignId:
          type: string
          description: The campaign ID of the campaign
        name:
          type: string
          description: The name given to the campaign in the MyCald Dashboard
        listId:
          type: string
          description: The list ID of the list used for the campaign
        agentId:
          type: string
          description: The agent ID of the agent used for the campaign
        status:
          type: string
          description: >-
            The status of the campaign, can be `pending`, `active`,
            `not_funded`, `finished`, `cancelled`
        stats:
          type: object
          properties:
            totalCalls:
              type: number
              description: Total number of calls in the campaign
            completedCalls:
              type: number
              description: Number of calls that have been completed
            failedCalls:
              type: number
              description: Number of calls that have failed
            pendingCalls:
              type: number
              description: Number of calls that are pending
            pickedUpCalls:
              type: number
              description: Number of calls that have been picked up
            ivrCalls:
              type: number
              description: Number of calls that have been answered by an IVR
            voicemailCalls:
              type: number
              description: Number of calls that have been answered by a voicemail
            unansweredCalls:
              type: number
              description: Number of calls that have been unanswered
            disconnectedCalls:
              type: number
              description: Number of calls that have been disconnected
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Your API key, e.g. `caldLiveDe39a3accb206dd615f30d118e519df0`

````